%global maintainer andikleen
%global commit 24452117e27ddcfd93ccde3d196022ee3cbd6e0c
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:		spooky-c
Version:	1.0.0
Release:	4%{?dist}
Summary:	C port of Bob Jenkins' spooky hash

Group:		Development/Libraries
License:	Public Domain
URL:		https://github.com/%{maintainer}/%{name}
Source0:	https://github.com/%{maintainer}/%{name}/archive/%{commit}/%{name}-%{commit}.tar.gz

# pull request: https://github.com/andikleen/spooky-c/pull/6
Patch1:		0001-Add-a-spooky_hash-manpage.patch

BuildRequires:	autoconf automake libtool

%description
This is a C version of Bob Jenkins' spooky hash. The only advantage over
Bob's original version is that it is in C, not C++ and comes with some
test and benchmark code.

This is a very competitive hash function, but is somewhat non-portable.
It should work on both big and little endian architectures, but will
generate different hashes on them. It's also optimized for 64-bit
architectures. It will work on 32-bit architectures as well, but is much
slower there.

%package devel
Summary:	The development files for %{name}
Group:		Development/Libraries
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
Additional header files and manpages for development with %{name}.

%prep
%setup -q -n %{name}-%{commit}
%patch1 -p1

%build
autoreconf -i
%configure --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
rm -f %{buildroot}/%{_libdir}/libspooky-c.la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc README.md
%{_libdir}/lib%{name}.so.*

%files devel
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so
%{_mandir}/man3/*

%changelog
* Wed Apr 01 2015 Jeff Layton <jeff.layton@primarydata.com> 1.0.0-4
- add comment pointing out pull request for manpage patch

* Wed Apr 01 2015 Jeff Layton <jeff.layton@primarydata.com> 1.0.0-3
- use github-specific tarball generation

* Mon Mar 30 2015 Jeff Layton <jeff.layton@primarydata.com> 1.0.0-2
- specfile cleanups
- disable static library
- add manpage

* Tue Mar 24 2015 Jeff Layton <jeff.layton@primarydata.com> 1.0.0-1
- initial package build
